package gssim.db.reader;

import java.sql.Timestamp;

/**
 * 
 * @author Marcin Krystek, Jarek Szymczak
 *
 */
public class TaskReader extends StatsReader {

	public TaskReader(StatsParser p) {
		super(p);
	}
	
	public Integer getJobID(){
		return getAsInt(0);
	}
	
	public Integer getTaskID(){
		return getAsInt(1);
	}
	
	public String getUserDN(){
		return this.values[2];
	}
	
	public String getResName(){
		return this.values[3];
	}
	
	public Integer getCpuCnt(){
		return getAsInt(4);
	}
	
	public Timestamp getExecStartDate(){
		return new Timestamp(getAsLong(5)*1000L);
	}
	
	public Timestamp getExecFinishDate(){
		return new Timestamp(getAsLong(6)*1000L);
	}
	
	public Timestamp getExecEndDate(){
		return new Timestamp(getAsLong(7)*1000L);
	}
	
	public Timestamp getGB_SubDate(){
		return new Timestamp(getAsLong(8)*1000L);
	}
	
	public Timestamp getLB_SubDate(){
		return new Timestamp(getAsLong(9)*1000L);
	}
	
	public Integer getCompletionTime(){
		return getAsInt(10);
	}
	
	public Integer getExecStartTime(){
		return getAsInt(11);
	}
	
	public Integer getExecutionTime(){
		return getAsInt(12);
	}
	
	public Integer getReadyTime(){
		return getAsInt(13);
	}
	
	public Integer getStartTime(){
		return getAsInt(14);
	}
	
	public Integer getFlowTime(){
		return getAsInt(15);
	}
	
	public Integer getWaitingTime(){
		return getAsInt(16);
	}
	
	public Integer getGQ_WaitTime(){
		return getAsInt(17);
	}
	
	public Integer getLateness(){
		return getAsInt(18);
	}
	
	public Integer getTardiness(){
		return getAsInt(19);
	}
	
	public Timestamp getReservStartDate(){
		return new Timestamp(getAsLong(20)*1000L);
	}
	
	public Timestamp getReservFinishDate(){
		return new Timestamp(getAsLong(21)*1000L);
	}
	
	public String getProcessorName(){
		return this.values[22];
	}
	
}
