package gssim.db.utils;

import java.sql.Timestamp;
import java.util.Calendar;

import org.joda.time.DateTime;

/**
 * 
 * @author Jarek Szymczak
 *
 */
public class DateConverter {

	public static Timestamp createTimestamp(int year, int month, int day, int hour, int minute, int second) {
		return createTimestamp(year, month, day, hour, minute, second, 0);
	}
	
	public static Timestamp createTimestamp(int year, int month, int day, int hour, int minute, int second, int miliseconds) {
		
		Calendar c = Calendar.getInstance();
		c.set(Calendar.YEAR, year);
		c.set(Calendar.MONTH, month-1);
		c.set(Calendar.DAY_OF_MONTH, day);
		c.set(Calendar.HOUR_OF_DAY, hour);
		c.set(Calendar.MINUTE, minute);
		c.set(Calendar.SECOND, second);
		c.set(Calendar.MILLISECOND, miliseconds);
		
		return new Timestamp(c.getTimeInMillis());
	}
	
	public static Timestamp dateTimeToTimestamp(DateTime d) {
		
		Calendar c = Calendar.getInstance();
		c.set(Calendar.YEAR, d.getYear());
		c.set(Calendar.MONTH, d.getMonthOfYear()-1);
		c.set(Calendar.DAY_OF_MONTH, d.getDayOfMonth());
		c.set(Calendar.HOUR_OF_DAY, d.getHourOfDay());
		c.set(Calendar.MINUTE, d.getMinuteOfHour());
		c.set(Calendar.SECOND, d.getSecondOfMinute());
		c.set(Calendar.MILLISECOND, d.getMillisOfSecond());
		
		return new Timestamp(c.getTimeInMillis());
	}

	public static DateTime timestampToDateTime(Timestamp t) {
		Calendar c = Calendar.getInstance();
		c.setTimeInMillis(t.getTime());
		c.get(Calendar.YEAR);
		return new DateTime(c.get(Calendar.YEAR), c.get(Calendar.MONTH)+1,
				c.get(Calendar.DAY_OF_MONTH), c.get(Calendar.HOUR_OF_DAY), c.get(Calendar.MINUTE),
				c.get(Calendar.SECOND), c.get(Calendar.MILLISECOND));
	}

}
